#
# spec file for package checkmedia
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           checkmedia
Summary:        Check Installation Media
License:        GPL-3.0+
Group:          System/Management
Version:        3.2
Release:        4.13
Url:            https://github.com/wfeldt/checkmedia.git
Source:         %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Checks installation CDs and DVDs for errors.

%prep
%setup

%build
make %{?_smp_mflags}

%install
  install -d -m 755 %{buildroot}/usr/bin
  make install DESTDIR=%{buildroot}

%files
%defattr(-,root,root)
/usr/bin/checkmedia
/usr/bin/tagmedia
%doc README
%doc COPYING

%changelog
* Wed Apr 30 2014 snwint@suse.de
- ignore padding area when calculating checksum (bnc #804160)
- 3.2
* Tue Nov  5 2013 snwint@suse.de
- added github url to spec
* Thu Oct 31 2013 dvaleev@suse.com
- make sure WORDS_BIGENDIAN is defined correctly where needed
* Wed Jan 25 2012 snwint@suse.de
- support more digests: md5, sha1, sha224, sha256, sha384, sha512
- changed license to gpl3
- new major version
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Wed Jul 13 2011 snwint@suse.de
- change isohybrid md5 calculation to report 'real' md5 sum (bnc #678739)
* Tue Oct 12 2010 snwint@suse.de
- don't check the first 512 bytes to avoid problems with isohybrid
* Tue Aug 25 2009 snwint@suse.de
- fixed tagmedia to use iso size from header
* Mon Oct  6 2008 snwint@suse.de
- report isos > 1GB as DVD (bnc #424323)
* Tue Jun  6 2006 snwint@suse.de
- add largefile support (#178812)
* Tue May  2 2006 snwint@suse.de
- perl's getopt is more picky now (#170322)
* Tue Mar 14 2006 snwint@suse.de
- align md5sum buffers (#157711)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec 16 2005 snwint@suse.de
- support RH CDs
* Mon Sep 12 2005 snwint@suse.de
- big endian check was not active in md5.c (#116407)
* Wed Aug 17 2005 snwint@suse.de
- take padding into account
* Wed Aug 10 2005 snwint@suse.de
- tell test result in exit code (#102312)
* Fri Jul 22 2005 snwint@suse.de
- hopefully better DVD check (#74391)
* Thu Feb 10 2005 snwint@suse.de
- added tagmedia script
* Thu Jan 27 2005 snwint@suse.de
- indicate progress
* Mon Jan 24 2005 snwint@suse.de
- created package
